{ lib, pkgs, ... }:
with lib;
{
  options.mjallen.programs.nwg-panel = {
    enable = mkEnableOption "enable nwg-panel";

    defaultApps = mkOption {
      type = types.submodule {
        options = {
          browser = mkOption {
            type = types.package;
            default = pkgs.firefox;
          };
          editor = mkOption {
            type = types.package;
            default = pkgs.micro;
          };
          fileExplorer = mkOption {
            type = types.package;
            default = pkgs.nemo;
          };
          visual = mkOption {
            type = types.package;
            default = pkgs.vscodium;
          };
          terminal = mkOption {
            type = types.package;
            default = pkgs.kitty;
          };
          office = mkOption {
            type = types.package;
            default = pkgs.onlyoffice-bin_latest;
          };
          video = mkOption {
            type = types.package;
            default = pkgs.vlc;
          };
          imageViewer = mkOption {
            type = types.package;
            default = pkgs.gnome-photos;
          };
        };
      };
      description = "Default applications used across the system.";
    };
  };
}
